commit:     52351fe0639e57ee53fecd139e0e20afce7e6b8f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 22 07:17:53 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Sep 22 07:40:50 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=52351fe0

dev-python/ipykernel: Bump to 6.15.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/ipykernel/Manifest                |  1 +
 dev-python/ipykernel/ipykernel-6.15.3.ebuild | 66 ++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-python/ipykernel/Manifest b/dev-python/ipykernel/Manifest
index aa487bec888b..958c13679d61 100644
--- a/dev-python/ipykernel/Manifest
+++ b/dev-python/ipykernel/Manifest
@@ -1,2 +1,3 @@
 DIST ipykernel-6.15.1.tar.gz 133140 BLAKE2B 
7d63b55f2b8d883234258106b8239cf77031336ce6e7e38234490a031fc4a56861788210fdb2acd0f895e4df43257b0339ef1592e12d33b441e4ba9061acbd08
 SHA512 
10f2390a4edafea89fcc049d5e07ef542418a3a7b076efec1f02bc0a787e01280624cc543bb60604478cae63b58a86d031b549a6f872c7a8530043d670dbdc0e
 DIST ipykernel-6.15.2.tar.gz 133297 BLAKE2B 
05b92074dba2324a2bbbe58fb459f455e47236fcbed711b63c3bfd83978b1e80a7fe079c08fbfb031d9f182d2b24a265705f6540b6c87ee933b641beaee53f9d
 SHA512 
14f1f819d67f16e9c5ea5705ce9c1827bd1ae44f742ca809c4402ef64b229e902f9a724c0609cbf225da595f4ed48cd14348f3c887d70bc18c4b017ec01de720
+DIST ipykernel-6.15.3.tar.gz 136470 BLAKE2B 
45279a6cfc85c3c2bafe9913b78077a3212bc61b961824f449cdf6ed6a34fe777e0fef1585bc7e4062f4e73124efd24a1c6a16e4168a03d31420836105c3ba55
 SHA512 
52e9b20b4b9ce691a42a64f535b41b9567a9849c87c0c9903d0b14dc6a00c57ab42d93b6bca8d955be8a31354722268006ce8b576664eb8a4b7f6a3400164c1d

diff --git a/dev-python/ipykernel/ipykernel-6.15.3.ebuild 
b/dev-python/ipykernel/ipykernel-6.15.3.ebuild
new file mode 100644
index 000000000000..5526cde6276c
--- /dev/null
+++ b/dev-python/ipykernel/ipykernel-6.15.3.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="IPython Kernel for Jupyter"
+HOMEPAGE="https://github.com/ipython/ipykernel";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+       >=dev-python/debugpy-1.0[${PYTHON_USEDEP}]
+       >=dev-python/ipython-7.23.1[${PYTHON_USEDEP}]
+       >=dev-python/jupyter_client-6.1.12[${PYTHON_USEDEP}]
+       >=dev-python/matplotlib-inline-0.1[${PYTHON_USEDEP}]
+       dev-python/nest_asyncio[${PYTHON_USEDEP}]
+       dev-python/packaging[${PYTHON_USEDEP}]
+       dev-python/psutil[${PYTHON_USEDEP}]
+       >=dev-python/pyzmq-17[${PYTHON_USEDEP}]
+       >=dev-python/traitlets-5.1.0[${PYTHON_USEDEP}]
+       >=www-servers/tornado-6.1[${PYTHON_USEDEP}]
+"
+# RDEPEND seems specifically needed in BDEPEND, at least jupyter
+# bug #816486
+BDEPEND="
+       ${RDEPEND}
+       test? (
+               dev-python/flaky[${PYTHON_USEDEP}]
+               dev-python/pytest-timeout[${PYTHON_USEDEP}]
+               dev-python/ipyparallel[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+       # TODO
+       
ipykernel/inprocess/tests/test_kernel.py::InProcessKernelTestCase::test_pylab
+       ipykernel/tests/test_debugger.py::test_attach_debug
+       
ipykernel/tests/test_debugger.py::test_breakpoint_in_cell_with_leading_empty_lines
+       ipykernel/tests/test_debugger.py::test_rich_inspect_at_breakpoint
+       ipykernel/tests/test_debugger.py::test_rich_inspect_not_at_breakpoint
+       ipykernel/tests/test_debugger.py::test_set_breakpoints
+       ipykernel/tests/test_debugger.py::test_stop_on_breakpoint
+)
+
+src_prepare() {
+       sed -i -e 's:^TIMEOUT = .*:TIMEOUT = 120:' ipykernel/tests/*.py || die
+       distutils-r1_src_prepare
+}
+
+python_compile() {
+       distutils-r1_python_compile
+       # Use python3 in kernel.json configuration, bug #784764
+       sed -i -e '/python3.[0-9]\+/s//python3/' \
+               
"${BUILD_DIR}/install${EPREFIX}/usr/share/jupyter/kernels/python3/kernel.json" 
|| die
+}

Reply via email to